Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why?
Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #819800] Tue, 13 March 2012 06:39 Go to next message
Laura V is currently offline Laura V
Messages: 32
Registered: March 2012
Member
We work with Eclipse 4.2M4.
We don't want to add the compatibility layer because we want to have a pure e4 Eclipse.
In order to have the minimize/maximize window feature in the application I added a dependency to the bundle
org.eclipse.e4.ui.workbench.addons.swt;bundle-version="0.10.0"

But when clicking on the maximize button or double clicking I get a Nullpointer because MinMaxAddon class can't find the AnimationEngine class.
I looked and saw that this class is in the package
import org.eclipse.ui.internal.AnimationEngine

Shocked Shocked
it means, there is an indirect dependency on the compatibility layer...
This is a problem for us.
Could Tom or someone please tell us, why has it been done this way and how are we supposed to proceed, if we refuse to have dependencies to org.eclipse.ui?
Thanks a lot in advance for your answer,

Laura
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #819844 is a reply to message #819800] Tue, 13 March 2012 07:46 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5020
Registered: July 2009
Senior Member
Please file a bugzilla so that we can move the code to the addons or
e.g. our own widget bundle.

Tom

Am 13.03.12 11:39, schrieb Laura V:
> We work with Eclipse 4.2M4.
> We don't want to add the compatibility layer because we want to have a
> pure e4 Eclipse.
> In order to have the minimize/maximize window feature in the application
> I added a dependency to the bundle
> org.eclipse.e4.ui.workbench.addons.swt;bundle-version="0.10.0"
>
> But when clicking on the maximize button or double clicking I get a
> Nullpointer because MinMaxAddon class can't find the AnimationEngine class.
> I looked and saw that this class is in the package import
> org.eclipse.ui.internal.AnimationEngine
>
> 8o 8o it means, there is an indirect dependency on the compatibility
> layer...
> This is a problem for us. Could Tom or someone please tell us, why has
> it been done this way and how are we supposed to proceed, if we refuse
> to have dependencies to org.eclipse.ui?
> Thanks a lot in advance for your answer,
>
> Laura
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #819847 is a reply to message #819844] Tue, 13 March 2012 07:50 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5020
Registered: July 2009
Senior Member
Looking into the git-repo I see this has already been done - there the
animation stuff resides in workbench.swt.

So if you update to the latest I-Build (or wait for M6 which is due end
of this week the min-max will work without dragging in an
org.eclipse.ui) dependency.

Tom
Am 13.03.12 12:46, schrieb Tom Schindl:
> Please file a bugzilla so that we can move the code to the addons or
> e.g. our own widget bundle.
>
> Tom
>
> Am 13.03.12 11:39, schrieb Laura V:
>> We work with Eclipse 4.2M4.
>> We don't want to add the compatibility layer because we want to have a
>> pure e4 Eclipse.
>> In order to have the minimize/maximize window feature in the application
>> I added a dependency to the bundle
>> org.eclipse.e4.ui.workbench.addons.swt;bundle-version="0.10.0"
>>
>> But when clicking on the maximize button or double clicking I get a
>> Nullpointer because MinMaxAddon class can't find the AnimationEngine class.
>> I looked and saw that this class is in the package import
>> org.eclipse.ui.internal.AnimationEngine
>>
>> 8o 8o it means, there is an indirect dependency on the compatibility
>> layer...
>> This is a problem for us. Could Tom or someone please tell us, why has
>> it been done this way and how are we supposed to proceed, if we refuse
>> to have dependencies to org.eclipse.ui?
>> Thanks a lot in advance for your answer,
>>
>> Laura
>
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #819873 is a reply to message #819800] Tue, 13 March 2012 08:33 Go to previous messageGo to next message
Laura V is currently offline Laura V
Messages: 32
Registered: March 2012
Member
Tom
thanks a lot for your prompt answer.
We will try the Integration build.
Not sure you can do something there, but please note that the first 2 links for 4.2 Stream Integration Build on Eclipse site are not accessible (Access Forbidden- The file permissions are either wrong, or there is no default index file for this directory)

The third one from yesterday provides only a mirror from Canada and it's very slow (2 hours needed for 179 MB)

Laura
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #819902 is a reply to message #819873] Tue, 13 March 2012 09:12 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5020
Registered: July 2009
Senior Member
The reason for the not working links is I think that last nights build
failed and yes i-builds are not pushed to mirrors so the only option is
to use the Eclipse Foundation Server.

Tom

Am 13.03.12 13:33, schrieb Laura V:
> Tom
> thanks a lot for your prompt answer.
> We will try the Integration build.
> Not sure you can do something there, but please note that the first 2
> links for 4.2 Stream Integration Build on Eclipse site are not
> accessible (Access Forbidden- The file permissions are either wrong, or
> there is no default index file for this directory)
>
> The third one from yesterday provides only a mirror from Canada and it's
> very slow (2 hours needed for 179 MB)
>
> Laura
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #819903 is a reply to message #819902] Tue, 13 March 2012 09:14 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5020
Registered: July 2009
Senior Member
If you switch to an > M5 build you'll have to upgrade your class-uris to
use the new format - the old one should still work but you'll get many
warnings logged.

Tom

Am 13.03.12 14:12, schrieb Tom Schindl:
> The reason for the not working links is I think that last nights build
> failed and yes i-builds are not pushed to mirrors so the only option is
> to use the Eclipse Foundation Server.
>
> Tom
>
> Am 13.03.12 13:33, schrieb Laura V:
>> Tom
>> thanks a lot for your prompt answer.
>> We will try the Integration build.
>> Not sure you can do something there, but please note that the first 2
>> links for 4.2 Stream Integration Build on Eclipse site are not
>> accessible (Access Forbidden- The file permissions are either wrong, or
>> there is no default index file for this directory)
>>
>> The third one from yesterday provides only a mirror from Canada and it's
>> very slow (2 hours needed for 179 MB)
>>
>> Laura
>
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #819959 is a reply to message #819903] Tue, 13 March 2012 10:53 Go to previous messageGo to next message
Laura V is currently offline Laura V
Messages: 32
Registered: March 2012
Member
Danke Tom Smile
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #822103 is a reply to message #819903] Fri, 16 March 2012 03:11 Go to previous messageGo to next message
Beat Schaller is currently offline Beat Schaller
Messages: 40
Registered: July 2009
Member
Yes it works almost perfect. I tried it with the last I-Build.

But if you have an app with (for ex) two parts - do the following:
- Maximize part 2
- Restore part 1
as you can see on the picture the max icon of the part 2 isn't restored. it still have the restore icon...

is this behaviour known?

thx
Beat


  • Attachment: MinMax.PNG
    (Size: 35.92KB, Downloaded 48 times)
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #822119 is a reply to message #822103] Fri, 16 March 2012 03:39 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5020
Registered: July 2009
Senior Member
I don't think so - please file a bugzilla. It won't make it into M6
anymore but M7 is a good candidate.

Tom

Am 16.03.12 08:11, schrieb Beat Schaller:
> Yes it works almost perfect. I tried it with the last I-Build.
>
> But if you have an app with (for ex) two parts - do the following:
> - Maximize part 2
> - Restore part 1
> as you can see on the picture the max icon of the part 2 isn't restored. it still have the restore icon...
>
> is this behaviour known?
>
> thx
> Beat
>
>
>
Re: Dependency to compatibility layer in org.eclipse.e4.ui.workbench.addons.swt, MinMaxAddon...why? [message #822142 is a reply to message #822119] Fri, 16 March 2012 04:12 Go to previous message
Beat Schaller is currently offline Beat Schaller
Messages: 40
Registered: July 2009
Member
Ok done.

Bugzilla Bug 374461
Previous Topic:Documentation on context functions
Next Topic:The parent Shell problem in XWT
Goto Forum:
  


Current Time: Wed Apr 23 19:51:38 EDT 2014

Powered by FUDForum. Page generated in 0.02139 seconds